using System;
using System.Collections.Generic;
using System.Data;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioGDTipo
    {

        public void Insert_Update(entidadeGDTipo objGDTipo)
        {
            dalGDTipo dalGDTipo = null;

            try
            {
                dalGDTipo = new dalGDTipo();

                //COMENTARIO PARA SUBIR VERSÃO

                dalGDTipo.Insert_Update(objGDTipo);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeGDTipo> Select(entidadeGDTipo objGDTipo)
        {
            dalGDTipo dalGDTipo = null;

            var lstGDTipo = new List<entidadeGDTipo>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalGDTipo = new dalGDTipo();

                dt = dalGDTipo.Select(objGDTipo);

                regranegocioGlobal = new regraNegocioGlobal();

                lstGDTipo = regraNegocioGlobal.ConvertDataTable<entidadeGDTipo>(dt);

                return lstGDTipo;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
